### Function

# Secret attributes_buildv

#### Declaration [src]

    GHashTable*
    secret_attributes_buildv (
      const SecretSchema* schema,
      va_list va
    )

#### Description [src]

Build up a hash table of attribute values.

The variable argument list should contain pairs of a) The attribute name as a null-terminated string, followed by b) attribute value, either a character string, an int number, or a gboolean value, as defined in the password `schema`. The list of attributes should be terminated with a `NULL`.

This function is not directly available to language bindings

#### Parameters

`schema` | `SecretSchema`
| The schema for the attributes.
| The data is owned by the caller of the function.
`va` | `va_list`
| The attribute keys and values, terminated with `NULL`.

#### Return value

Returns: | `GHashTable`
| A new table of attributes, to be released with `g_hash_table_unref()`
| The caller of the function takes ownership of the data, and is responsible for freeing it.